<?php 
	namespace App\Services;
	use App\Modules\Catalogo\Models\Tipdocs;
	/**
	 * Obtener datos necesarios para los modulos 
	*/
	class UtilitiesService
	{
		
		function __construct()
		{
			# code...
		}
		public function get_document($num){
			if (!empty($num)) {
				switch ($num) {
					case '1':
						
					break;
					case '6':
						# code...
					break;
					default:
						# code...
					break;
				}
			}
		}
		public function tip_doc($id){
			$doc = Tipdocs::find($id);
			return $doc->descor;
		}

		//obtener año y  mes
		public function year_and_month($data){
	        $exp = explode('-', $data);
	        setlocale(LC_TIME, 'spanish');  
	        $mes=strftime("%B",mktime(0, 0, 0, $exp['0'], 1, 2000)); 
	        return $mes.' del '.$exp[1];
    	}
	}

?>